Bulk change

**Before the error happened, I was… correcting notes in Anki app desktop. Suggested changes to Ankihub.
[Replace this text.]

Error message (don't change this)
Anki 23.12.1 (1a1d4d54)  (ao)
Python 3.9.15 Qt 6.5.3 PyQt 6.5.3
Platform: macOS-14.4.1-arm64-arm-64bit

Traceback (most recent call last):

  File "/Users/matthiasbecker/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 246, in _send_request_with_retry
    response = self._send_request_with_retry_inner(

  File "/Users/matthiasbecker/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/__init__.py", line 289, in wrapped_f
    return self(f, *args, **kw)

  File "/Users/matthiasbecker/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/__init__.py", line 379, in __call__
    do = self.iter(retry_state=retry_state)

  File "/Users/matthiasbecker/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/__init__.py", line 326, in iter
    raise retry_exc from fut.exception()

tenacity.RetryError: RetryError[<Future at 0x12fde1eb0 state=finished raised ReadTimeout>]


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/Users/matthiasbecker/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 254, in _send_request_with_retry
    response = last_attempt.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "/Users/matthiasbecker/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/__init__.py", line 382, in __call__
    result = fn(*args, **kwargs)

  File "/Users/matthiasbecker/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 269, in _send_request_with_retry_inner
    response = session.send(request, stream=stream, timeout=timeout)

  File "requests.sessions", line 703, in send

  File "requests.adapters", line 532, in send

requests.exceptions.ReadTimeout: HTTPSConnectionPool(host='app.ankihub.net', port=443): Read timed out. (read timeout=20)


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "aqt.taskman", line 142, in _on_closures_pending

  File "aqt.taskman", line 86, in <lambda>

  File "aqt.taskman", line 106, in wrapped_done

  File "/Users/matthiasbecker/Library/Application Support/Anki2/addons21/1322529746/gui/suggestion_dialog.py", line 214, in <lambda>
    on_done=lambda future: _on_suggest_notes_in_bulk_done(future, parent),

  File "/Users/matthiasbecker/Library/Application Support/Anki2/addons21/1322529746/gui/suggestion_dialog.py", line 288, in _on_suggest_notes_in_bulk_done
    suggestions_result: BulkNoteSuggestionsResult = future.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "concurrent.futures.thread", line 58, in run

  File "/Users/matthiasbecker/Library/Application Support/Anki2/addons21/1322529746/gui/suggestion_dialog.py", line 206, in <lambda>
    task=lambda: suggest_notes_in_bulk(

  File "/Users/matthiasbecker/Library/Application Support/Anki2/addons21/1322529746/main/suggestions.py", line 183, in suggest_notes_in_bulk
    errors_by_nid_int = client.create_suggestions_in_bulk(

  File "/Users/matthiasbecker/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 919, in create_suggestions_in_bulk
    errors_for_change_suggestions = self._create_suggestion_in_bulk_inner(

  File "/Users/matthiasbecker/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 942, in _create_suggestion_in_bulk_inner
    response = self._send_request(

  File "/Users/matthiasbecker/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 228, in _send_request
    response = self._send_request_with_retry(

  File "/Users/matthiasbecker/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 256, in _send_request_with_retry
    raise AnkiHubRequestException(e) from e

1322529746.ankihub_client.ankihub_client.AnkiHubRequestException: AnkiHub request exception: HTTPSConnectionPool(host='app.ankihub.net', port=443): Read timed out. (read timeout=20)

Sentry link (for developers)

Is this happening consistently?